Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231535 - Traceback trying to install awstats
Summary: Traceback trying to install awstats
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-08 21:12 UTC by Jeffrey C. Ollie
Modified: 2014-01-21 22:57 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-12 02:54:42 UTC


Attachments (Terms of Use)

Description Jeffrey C. Ollie 2007-03-08 21:12:01 UTC
Description of problem:

I get a traceback from yum when trying to install awstats

Version-Release number of selected component (if applicable):

yum-3.0.4-1.fc6

How reproducible:

Always

Steps to Reproduce:
1. yum install awstats
2.
3.
  
Actual results:

# yum install awstats
Loading "installonlyn" plugin
Setting up Install Process
Setting up repositories
Reading repository metadata in from local files
Parsing package install arguments
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in ?
    yummain.main(sys.argv[1:])
  File "/usr/share/yum-cli/yummain.py", line 94, in main
    result, resultmsgs = base.doCommands()
  File "/usr/share/yum-cli/cli.py", line 381, in doCommands
    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd,
self.extcmds)
  File "/usr/share/yum-cli/yumcommands.py", line 134, in doCommand
    return base.installPkgs(extcmds)
  File "/usr/share/yum-cli/cli.py", line 553, in installPkgs
    exactmatch, matched, unmatched = \
  File "/usr/lib/python2.4/site-packages/yum/packageSack.py", line 347, in
matchPackageNames
    e, m, u = sack.matchPackageNames(pkgspecs)
  File "/usr/lib/python2.4/site-packages/yum/sqlitesack.py", line 522, in
matchPackageNames
    unmatched.remove(p)
ValueError: list.remove(x): x not in list

Expected results:

Package installed.

Additional info:

Tried "yum clean all" and "rpm --rebuilddb".  Installing packages other than
awstats seems to work properly.

Comment 1 Jeffrey C. Ollie 2007-03-08 22:06:24 UTC
Downloaded awstats manually and was able to install with "yum localinstall".


Comment 2 Mary Ellen Foster 2007-03-09 12:15:28 UTC
Also happens when trying to install "mock", for what it's worth.

Comment 3 Seth Vidal 2007-03-09 13:34:18 UTC
yah, I can duplicate this one and I'll get it fixed today and a 3.0.5 out
shortly. Though, we'll need to wait until jeremy gets back to get it into
updates-testing.

Comment 4 Seth Vidal 2007-03-09 15:49:06 UTC
fixed.this is just a dumb one. It'll be up in 3.0.5

Comment 5 Jeffrey C. Ollie 2007-03-12 02:37:52 UTC
I haven't seen the update hit the repos... is there some holdup with the package?

Comment 6 Seth Vidal 2007-03-12 02:54:42 UTC
it hasn't been released yet.

I didn't say 'nextrelease' to mean 'it's in a repo'. I meant next release to
mean next realease.


Note You need to log in before you can comment on or make changes to this bug.